VSCode 的 frida 扩展

需要安装 python3 和 frida-tools

pip3 install frida-tools

直接在 VSCode 里选择目标应用,支持所有 frida 可用的目标平台(不只是 iOS)

还有从官方 clone 代码样板,添加 js 自动补全等

clone

complete

5 Likes

感谢大佬开源

osx13.5.x的的用户,系统默认安装的是Python3,需要执行pip3 install frida-tools,插件貌似模式不支持Python2,默认如果是Python2.x的应该会出问题。

好棒的工具, 感谢

0.0.3 版本更新,加入 FlexDecrypt 砸壳快捷键

image

FlexDecrypt 完全不运行原始 app,完全无需考虑稳定性和越狱检测问题,目前还没有见到翻车的 App。

希望论坛不要再有砸壳失败的日经贴了。

7 Likes

世界因为你而更美好

昨天刚下载了这个VScode,用来烧录开发板的,今天就看到这个帖子,还能砸壳。666,晚上找个应用试试效果。

响应你的号召,我提供一个win下的iproxy,根据最新的libusbmuxd编译的iproxy.zip (103.0 KB)

我在你早期提供的咂壳脚本的基础上也撸了一个win10下咂壳的python脚本 :smiley:

fb 好像,不行。

亲测可用。

为什么提示脱壳成功,但是ipa却没有传到电脑上?

我也是这样,flexdeypt保存,没有ipa

运行终端就崩了。
The terminal process “cmd.exe ‘/c’, ‘frida’, ‘-f’, ‘com.GandhidhamKiteStoresCustomer’, ‘–device’, ‘’, ‘–no-pause’” failed to launch (exit code: 1).

目前这个版本的 zip 创建有点问题,我找时间修复一下

工具不会自动安装 frida。如果这条命令不能用,那么手动 frida -f ... 也是会出错的

@4kfooler @ParadiseDuo 可能刚修的一个 iproxy 的问题。另外现在的包还不能直接重签名,正在修

多谢大佬回复,发现了是我直接重命名python3的问题